Subject: bug#11279: 24.0.95; GDB scripting doesn't work in "M-x gdb"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Apr 2012 19:55:38 +0300

> Date: Thu, 19 Apr 2012 19:03:59 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> After applying this patch, there's still one annoyance, which only
> shows on Posix hosts (not on Windows): the ">" prompts for more
> commands don't show.  This happens because that's how GDB/MI seems to
> behave: when its standard output is a console, it does not respond
> with the ">" prompts.  In fact, it doesn't respond at all until it
> sees "end".

As pointed out to me on the GDB list, this can be fixed by sending
"set interactive-mode off" to GDB at session start.